<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zksy.data.mapper.XcrRecordDishonestyMapper">

    <resultMap id="BaseResultMap" type="com.zksy.data.domain.po.XcrRecordDishonesty">
            <id property="csid" column="CSID" jdbcType="INTEGER"/>
            <result property="xm" column="XM" jdbcType="VARCHAR"/>
            <result property="lx" column="LX" jdbcType="VARCHAR"/>
            <result property="zxah" column="ZXAH" jdbcType="VARCHAR"/>
            <result property="zzjgdm" column="ZZJGDM" jdbcType="VARCHAR"/>
            <result property="zxfy" column="ZXFY" jdbcType="VARCHAR"/>
            <result property="fbr" column="FBR" jdbcType="VARCHAR"/>
            <result property="lasj" column="LASJ" jdbcType="TIMESTAMP"/>
            <result property="fbsj" column="FBSJ" jdbcType="TIMESTAMP"/>
            <result property="zt" column="ZT" jdbcType="VARCHAR"/>
            <result property="bpsj" column="BPSJ" jdbcType="TIMESTAMP"/>
            <result property="cxsj" column="CXSJ" jdbcType="TIMESTAMP"/>
            <result property="sxdqr" column="SXDQR" jdbcType="DATE"/>
            <result property="sxxwqx" column="SXXWQX" jdbcType="VARCHAR"/>
            <result property="cbrid" column="CBRID" jdbcType="INTEGER"/>
            <result property="iTime" column="I_TIME" jdbcType="TIMESTAMP"/>
            <result property="uniCode" column="uni_code" jdbcType="VARCHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        CSID,XM,LX,
        ZXAH,ZZJGDM,ZXFY,
        FBR,LASJ,FBSJ,
        ZT,BPSJ,CXSJ,
        SXDQR,SXXWQX,CBRID,
        I_TIME,uni_code
    </sql>
</mapper>
